Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 14969002: CSS parsing recovery in function. (Closed)

Created:
7 years, 10 months ago by SeRya
Modified:
7 years, 10 months ago
Reviewers:
TabAtkins, macdome, apavlov, Eric Willigers
CC:
blink-reviews, apavlov+blink_chromium.org, darktears
Visibility:
Public.

Description

CSS parsing recovery in function. prop: expt(}); color: red; } and prop: expt(10px }); color: red; } are parsed differently. This change fixes that. Not completely though: difference occures if wrong part contains parentheses. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=150205

Patch Set 1 : #

Total comments: 3

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Total comments: 1

Patch Set 5 : Merged #

Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -11 lines) Patch
M LayoutTests/fast/css/parsing-error-recovery.html View 1 2 3 2 chunks +36 lines, -0 lines 0 comments Download
M Source/core/css/CSSGrammar.y.in View 1 2 3 4 9 chunks +11 lines, -11 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
SeRya
Current grammar passes #test8 but fails on #test9.
7 years, 10 months ago (2013-05-05 10:08:12 UTC) #1
TabAtkins
On 2013/05/05 10:08:12, SeRya wrote: > Current grammar passes #test8 but fails on #test9. As ...
7 years, 10 months ago (2013-05-06 17:04:56 UTC) #2
SeRya
On 2013/05/06 17:04:56, tabatkins wrote: > On 2013/05/05 10:08:12, SeRya wrote: > > Current grammar ...
7 years, 10 months ago (2013-05-07 07:48:07 UTC) #3
apavlov
https://codereview.chromium.org/14969002/diff/6001/Source/core/css/CSSGrammar.y.in File Source/core/css/CSSGrammar.y.in (right): https://codereview.chromium.org/14969002/diff/6001/Source/core/css/CSSGrammar.y.in#newcode1743 Source/core/css/CSSGrammar.y.in:1743: FUNCTION maybe_space closing_parenthesis maybe_space { This is not quite ...
7 years, 10 months ago (2013-05-07 14:37:37 UTC) #4
SeRya
https://codereview.chromium.org/14969002/diff/6001/Source/core/css/CSSGrammar.y.in File Source/core/css/CSSGrammar.y.in (right): https://codereview.chromium.org/14969002/diff/6001/Source/core/css/CSSGrammar.y.in#newcode1743 Source/core/css/CSSGrammar.y.in:1743: FUNCTION maybe_space closing_parenthesis maybe_space { On 2013/05/07 14:37:37, apavlov ...
7 years, 10 months ago (2013-05-08 06:24:07 UTC) #5
TabAtkins
On 2013/05/07 07:48:07, SeRya wrote: > On 2013/05/06 17:04:56, tabatkins wrote: > > Would you ...
7 years, 10 months ago (2013-05-08 19:16:59 UTC) #6
SeRya
Now it based on refactoring from https://codereview.chromium.org/14917019/. Moving maybe_space from fail of functions to term ...
7 years, 10 months ago (2013-05-08 19:41:36 UTC) #7
Eric Willigers
lgtm
7 years, 10 months ago (2013-05-12 08:27:49 UTC) #8
apavlov
https://codereview.chromium.org/14969002/diff/18001/LayoutTests/fast/css/parsing-error-recovery.html File LayoutTests/fast/css/parsing-error-recovery.html (right): https://codereview.chromium.org/14969002/diff/18001/LayoutTests/fast/css/parsing-error-recovery.html#newcode82 LayoutTests/fast/css/parsing-error-recovery.html:82: Could you add the min-max test cases here?
7 years, 10 months ago (2013-05-13 06:51:59 UTC) #9
SeRya
https://codereview.chromium.org/14969002/diff/18001/LayoutTests/fast/css/parsing-error-recovery.html File LayoutTests/fast/css/parsing-error-recovery.html (right): https://codereview.chromium.org/14969002/diff/18001/LayoutTests/fast/css/parsing-error-recovery.html#newcode82 LayoutTests/fast/css/parsing-error-recovery.html:82: On 2013/05/13 06:51:59, apavlov wrote: > Could you add ...
7 years, 10 months ago (2013-05-13 07:15:28 UTC) #10
apavlov
https://codereview.chromium.org/14969002/diff/30001/LayoutTests/fast/css/parsing-error-recovery.html File LayoutTests/fast/css/parsing-error-recovery.html (right): https://codereview.chromium.org/14969002/diff/30001/LayoutTests/fast/css/parsing-error-recovery.html#newcode106 LayoutTests/fast/css/parsing-error-recovery.html:106: <div class="to_be_hidden" id="test11">FAIL: Test 12</div> test12
7 years, 10 months ago (2013-05-13 07:21:22 UTC) #11
SeRya
https://codereview.chromium.org/14969002/diff/30001/LayoutTests/fast/css/parsing-error-recovery.html File LayoutTests/fast/css/parsing-error-recovery.html (right): https://codereview.chromium.org/14969002/diff/30001/LayoutTests/fast/css/parsing-error-recovery.html#newcode106 LayoutTests/fast/css/parsing-error-recovery.html:106: <div class="to_be_hidden" id="test11">FAIL: Test 12</div> On 2013/05/13 07:21:22, apavlov ...
7 years, 10 months ago (2013-05-13 07:29:00 UTC) #12
apavlov
lgtm
7 years, 10 months ago (2013-05-13 07:39:31 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/serya@chromium.org/14969002/37001
7 years, 10 months ago (2013-05-13 08:07:16 UTC) #14
commit-bot: I haz the power
7 years, 10 months ago (2013-05-13 08:38:54 UTC) #15
Message was sent while issue was closed.
Change committed as 150205

Powered by Google App Engine
This is Rietveld 408576698